# Uses of Interface
org.w3c.tidy.Parser

Packages that use Parser
Package
Description
org.w3c.tidy

## Uses of Parser in org.w3c.tidy

Classes in org.w3c.tidy that implement Parser
Modifier and Type
Class
Description
`static class`
`ParserImpl.ParseBlock`
Parser for block elements.
`static class`
`ParserImpl.ParseBody`
Parser for BODY.
`static class`
`ParserImpl.ParseColGroup`
Parser for COLGROUP.
`static class`
`ParserImpl.ParseDefList`
Parser for DEFLIST.
`static class`
`ParserImpl.ParseEmpty`
Parser for empty elements.
`static class`
`ParserImpl.ParseFrameSet`
Parser for FRAMESET.
`static class`
`ParserImpl.ParseHead`
Parser for HEAD.
`static class`
`ParserImpl.ParseHTML`
Parser for HTML.
`static class`
`ParserImpl.ParseInline`
Parser for INLINE.
`static class`
`ParserImpl.ParseList`
Parser for LIST.
`static class`
`ParserImpl.ParseNoFrames`
Parser for NOFRAMES.
`static class`
`ParserImpl.ParseOptGroup`
Parser for OPTGROUP.
`static class`
`ParserImpl.ParsePre`
Parser for PRE.
`static class`
`ParserImpl.ParseRow`
Parser for ROW.
`static class`
`ParserImpl.ParseRowGroup`
Parser for ROWGROUP.
`static class`
`ParserImpl.ParseScript`
Parser for SCRIPT.
`static class`
`ParserImpl.ParseSelect`
Parser for SELECT.
`static class`
`ParserImpl.ParseTableTag`
Parser for TABLE.
`static class`
`ParserImpl.ParseText`
Parser for text nodes.
`static class`
`ParserImpl.ParseTitle`
Parser for TITLE.
Fields in org.w3c.tidy declared as Parser
Modifier and Type
Field
Description
`static final Parser`
ParserImpl.`BLOCK`
parser for block elements.
`static final Parser`
ParserImpl.`BODY`
parser for body.
`static final Parser`
ParserImpl.`COLGROUP`
parser for colgroup.
`static final Parser`
ParserImpl.`DEFLIST`
parser for definition lists.
`static final Parser`
ParserImpl.`EMPTY`
parser for empty elements.
`static final Parser`
ParserImpl.`FRAMESET`
parser for frameset.
`static final Parser`
ParserImpl.`HEAD`
parser for head.
`static final Parser`
ParserImpl.`HTML`
parser for html.
`static final Parser`
ParserImpl.`INLINE`
parser for inline.
`static final Parser`
ParserImpl.`LIST`
parser for list.
`static final Parser`
ParserImpl.`NOFRAMES`
parser for noframes.
`static final Parser`
ParserImpl.`OPTGROUP`
parser for optgroup.
`static final Parser`
ParserImpl.`PRE`
parser for pre.
`static final Parser`
ParserImpl.`ROW`
parser for row.
`static final Parser`
ParserImpl.`ROWGROUP`
parser for rowgroup.
`static final Parser`
ParserImpl.`SCRIPT`
parser for script.
`static final Parser`
ParserImpl.`SELECT`
parser for select.
`static final Parser`
ParserImpl.`TABLETAG`
parser for table.
`static final Parser`
ParserImpl.`TEXT`
parser for text.
`static final Parser`
ParserImpl.`TITLE`
parser for title.
Methods in org.w3c.tidy that return Parser
Modifier and Type
Method
Description
`Parser`
TagTable.`findParser(Node node)`
Finds a parser fo the given node.
`Parser`
Dict.`getParser()`
Getter for `parser`.
Methods in org.w3c.tidy with parameters of type Parser
Modifier and Type
Method
Description
`void`
Dict.`setParser(Parser parser)`
Setter for `parser`.
Constructors in org.w3c.tidy with parameters of type Parser
Modifier
Constructor
Description
``
`Dict(String name, short versions, int model, Parser parser, TagCheck chkattrs)`
Instantiates a new Tag definition.